GH-REPO-LIST(1)

NAME

gh-repo-list - List repositories owned by user or organization

SYNOPSIS

gh repo list [<owner>] [flags]

DESCRIPTION

List repositories owned by a user or organization.

Note that the list will only include repositories owned by the provided argument, and the --fork or --source flags will not traverse ownership boundaries. For example, when listing the forks in an organization, the output would not include those owned by individual users.

OPTIONS

--archived
    Show only archived repositories

--fork
    Show only forks

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-l, --language <string>
    Filter by primary coding language

-L, --limit <int> (default 30)
    Maximum number of repositories to list

--no-archived
    Omit archived repositories

--source
    Show only non-forks

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

--topic <strings>
    Filter by topic

--visibility <string>
    Filter by repository visibility: {public|private|internal}

JSON FIELDS

assignableUsers, codeOfConduct, contactLinks, createdAt, defaultBranchRef, deleteBranchOnMerge, description, diskUsage, forkCount, fundingLinks, hasDiscussionsEnabled, hasIssuesEnabled, hasProjectsEnabled, hasWikiEnabled, homepageUrl, id, isArchived, isBlankIssuesEnabled, isEmpty, isFork, isInOrganization, isMirror, isPrivate, isSecurityPolicyEnabled, isTemplate, isUserConfigurationRepository, issueTemplates, issues, labels, languages, latestRelease, licenseInfo, mentionableUsers, mergeCommitAllowed, milestones, mirrorUrl, name, nameWithOwner, openGraphImageUrl, owner, parent, primaryLanguage, projects, projectsV2, pullRequestTemplates, pullRequests, pushedAt, rebaseMergeAllowed, repositoryTopics, securityPolicyUrl, squashMergeAllowed, sshUrl, stargazerCount, templateRepository, updatedAt, url, usesCustomOpenGraphImage, viewerCanAdminister, viewerDefaultCommitEmail, viewerDefaultMergeMethod, viewerHasStarred, viewerPermission, viewerPossibleCommitEmails, viewerSubscription, visibility, watchers

SEE ALSO

gh-repo(1)